import m from 'mithril';
import { MonitorApi, Status } from './monitor-api';

export default class DashboardPage {
	status: Status = null;
	autoRefresh = true;
	
	oninit() {
		this.status = MonitorApi.get().getStatus();
		this.refresh();
	}
	
	onbeforeremove() {
		this.autoRefresh = false;
	}
	
	async refresh() {
		this.status = await MonitorApi.get().fetchStatus();
		if(this.autoRefresh)
			setTimeout(() => { if(this.autoRefresh) this.refresh(); }, 500);
	}
	
	view() {
		return this.status
			? <div class="dashboard-page">
			</div>
			: <p>Chargement...</p>;
	}
}
